"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepDetailsRepository = void 0;
const node_util_1 = require("node:util");
const logger_1 = require("@jfrog-pipelines/logger");
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const sequelize_1 = require("sequelize");
class StepDetailsRepository {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('StepDetailsRepository');
    }
    getStepDetails(stepId) {
        try {
            const query = `SELECT steps.id as stepId, steps.name as stepName, steps."pipelineId", runs.id as runId, runs."runNumber", p."name" as pipelineName, p."pipelineSourceBranch" , p2."sourceId" as projectName 
                          FROM public.steps 
                          inner join public.runs 
                          on steps."runId" = runs.id
                          inner join public.pipelines p 
                          on steps."pipelineId" = p.id
                          inner join public.projects p2 
                          on steps."projectId" = p2.id 
                          where steps.id = ${stepId}`;
            return data_access_layer_1.Database.sequelize.query(query, { type: sequelize_1.QueryTypes.SELECT });
        }
        catch (error) {
            this.logger.error(`Failed to retrieve step data: ${stepId} ${(0, node_util_1.inspect)((error && error.message) ?? '')}`);
        }
    }
}
exports.StepDetailsRepository = StepDetailsRepository;
//# sourceMappingURL=StepDetailsRepository.js.map