import { Worker } from '@jfrog-pipelines/microservice';
export declare type AnalyticsWorkerPayload = {
    stepId?: number;
    stepletId?: number;
};
export declare type TestElement = {
    durationSeconds?: number;
    name?: string;
};
export declare type TestReport = {
    total?: number;
    totalPassing?: number;
    totalFailures?: number;
    totalErrors?: number;
    totalSkipped?: number;
    durationSeconds?: number;
    name?: string;
    testElements?: TestElement[];
    errorDetails?: [];
    failureDetails?: [];
    totalTests?: number;
};
export declare type SlowestTest = {
    name?: string;
    duration?: number;
};
export declare type Suite = {
    name?: string;
    totalTests?: number;
    passed?: string[];
    failures?: string[];
    skipped?: string[];
    errors?: string[];
    duration?: number;
    slowestTests?: SlowestTest[];
};
export declare class AnalyticsServiceWorker implements Worker {
    private readonly logger;
    process(message: {
        [key: string]: unknown;
    }): Promise<void>;
    private processReports;
    private logInsightData;
    private getSuiteDetails;
    private captureTestDetails;
    private initialiseSuiteDetails;
    private sortSlowestTests;
    private getResultCategory;
    private getStepMetadata;
}
